Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
jobs
/
{job-id}
/
moving_sites
/
{moving-site-id}
/
location_histories
Retrieve Location Histories for a Moving Site on a Job
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/{job-id}/moving_sites/{moving-site-id}/location_histories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lat": "<string>",
      "load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "load_state": "created",
      "lon": "<string>",
      "occurred_at": "2023-11-07T05:31:56Z",
      "offline_mode": true,
      "speed_meters_per_second": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

job-id
string<uuid>
required

Job ID

moving-site-id
string<uuid>
required

MovingSite ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
Job-LocationHistory-Read · object[]
required